busybox (1:1.37.0-4) unstable; urgency=medium

  * d/control: use Static-Built-Using for busybox-static, not Built-Using
  * fix-od-and-hexdump-tests-on-big-endian-hosts.patch: v2
    (implement it a bit differently, fix bug in v1)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 06 Oct 2024 14:30:47 +0300

busybox (1:1.37.0-3) unstable; urgency=medium

  * d/patches: +fix-od-and-hexdump-tests-on-big-endian-hosts.patch
    to fix tests failure on big-endian hosts

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 06 Oct 2024 13:35:45 +0300

busybox (1:1.37.0-2) unstable; urgency=medium

  * libbb-sha-add-missing-sha-NI-guard.patch - fix ftbfs on !x86

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 06 Oct 2024 11:09:29 +0300

busybox (1:1.37.0-1) unstable; urgency=medium

  * new upstream release 1.37.0
    Closes: CVE-2021-42380 (awk use-after-realloc)
    Cloese: CVE-2023-42363 (awk use-after-free)
  * d/patches/: refresh platform-linux.diff and version.patch
  * d/patches/: remove:
    - install-fix-chown-resetting-suid-sgid-bits-from-chmod.patch
    - syslogd-daemonize-after-init-make-errs-visible.patch
    - syslogd-decrease-stack-usage-50-bytes.patch
    - syslogd-fix-breakage-caused-by-daemonize-_after_-ini.patch
  * d/config/pkg/*: update configs:
    - enable time64
    - enable find exec-ok for regular and static builds
    - enable getfattr for regular and static builds
    - enable ip-link-can for regular and static builds
    - enable feature udhcpd bootp

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 06 Oct 2024 10:20:49 +0300

busybox (1:1.36.1-9) unstable; urgency=medium

  * platform-linux.diff: udhcpc6 also depends on PLATFORM_LINUX
    (fixes ftbfs on hurd)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 16 Jul 2024 13:51:14 +0300

busybox (1:1.36.1-8) unstable; urgency=medium

  * busybox-1.36.1-no-cbq.patch to disable CBQ which is dropped
    from kernel in 6.8 (Closes: #1071648)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 16 Jul 2024 13:03:13 +0300

busybox (1:1.36.1-7) unstable; urgency=medium

  * udeb: remove all modutils (kmod-udeb provides better alternatives)
    (Closes: #1060134)
  * deb, static, udeb: provide install applet (Closes: #1069864)
  * udhcpc/default.script: recognize $search dhcp parameter too,
    in addition to $domain (and simplify these parts a bit)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 16 May 2024 21:49:03 +0300

busybox (1:1.36.1-6) unstable; urgency=medium

  [ Michael Tokarev ]
  * d/rules: override-dh_installsystemd: s/-indep//
  * d/busybox-syslogd.{service,init}: umask 026, not 024
  * adjust paths to busybox binary after move
    /bin/busybox => /usr/bin/busybox
  * Upload to unstable.

  [ Chris Boot ]
  * Update binary path in lintian overrides.

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 30 Nov 2023 15:32:46 +0300

busybox (1:1.36.1-6~exp.1) experimental; urgency=medium

  * Coordinated move of binaries into /usr.
  * Upload to experimental.

 -- Chris Boot <bootc@debian.org>  Thu, 23 Nov 2023 12:35:38 +0000

busybox (1:1.36.1-5) unstable; urgency=medium

  * config:
   - deb: turn off embedded scripts (not used anyway)
   - deb: enable minimal dpkg (the same as in static config) (+lintian tag)
   - deb: enable passwd, su, sulogin (the same as in static config)
   - deb: enable ed (the same as in static config)
   - deb: enable cron & crontab (the same as in static config)
   - deb: enable tunctl (the same as in static config)
   - deb: set ifupdown udhcpc options to -R -n (the same as in static config)
   - deb: enable tc (traffic control) applet, the same as in static build
   - deb: enable ifupdown options like of static build
   - static: enable tftp progress bar (the same as in deb config)
   At this point, deb&static configs are almost the same, with the differences:
    - static (&libgcc), prefer_applets, standalone_shell, bb_passwd & bb_shadow
    - deb has no blkid (#1023501) and no telnetd (#881626)
   - deb,static: disable unusual ipneigh applet (but keep ip neigh)
   - deb,static,udeb: enable udhcpc6 (#1036446)
   - deb,static: enable wget timeout (-T) option
  * spelling.diff: forward upstream
  * d/*.lintian-overrides: +spelling-error-in-binary iif if [bin/busybox]
    (this is Input InterFace)
  * added udhcpd.service
  * update tags for debian/patches/syslogd-option_mask32.patch
  * busybox-syslogd*.service: update Documentation: settings
  * make busybox-syslogd socket-activated to work correctly under systemd
    (syslogd-make-it-optionally-systemd-socket-activated.patch,
    busybox-syslogd.service changes)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 18 Nov 2023 19:53:06 +0300

busybox (1:1.36.1-4) unstable; urgency=medium

  * Revert "Revert recent changes that have broken syslogd in d-i."
    Thank you Steve, others for the good work and patience!
  * syslogd-fix-breakage-caused-by-daemonize-_after_-ini.patch
    (use upstream patch instead of syslogd-avoid-nulling-devlog.patch.
    it looks like upstream rewrites patch authorship with their own)
  * syslogd-option_mask32.patch (Actually fixes #1039710 with remote logging)
  * syslogd: make logfiles owned by root:adm mode 0640
  * syslog.conf: match current rsyslog.conf
  * install-fix-chown-resetting-suid-sgid-bits-from-chmod.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 13 Nov 2023 12:12:27 +0300

busybox (1:1.36.1-3.1) unstable; urgency=medium

  * NMU
  * Revert recent changes that have broken syslogd in d-i.
    Closes: #1039710

 -- Steve McIntyre <93sam@debian.org>  Thu, 03 Aug 2023 21:22:44 +0100

busybox (1:1.36.1-3) unstable; urgency=medium

  * syslogd-avoid-nulling-devlog.patch - fix overriding dev/log
    socket with dev/null in previous (upstream) patch.

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 15 Jun 2023 00:01:54 +0300

busybox (1:1.36.1-2) unstable; urgency=medium

  * replace syslog init patch with better version from upstream:
    syslogd-decrease-stack-usage-50-bytes.patch (prep)
    syslogd-daemonize-after-init-make-errs-visible.patch
  * platform-linux.diff: nbd is also linux-only
  * udhcpd: remove obsolete copy of udhcpd.conf,
    use one from examples/udhcp/udhcpd.conf
  * remove "remaining" parameter from udhcpd.conf.5 (Closes: #891757)
  * d/*.lintian-overrides: add #!/bin/busybox overrides for the init scripts

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 14 Jun 2023 23:10:23 +0300

busybox (1:1.36.1-1) unstable; urgency=medium

  * new upstream release 1.36.0 (and bugfix release 1.36.1)
    (Closes: CVE-2022-30065, use after free in awk)
  * use-libresolv-on-non-linux-too.patch: remove for now
    (upstream did it in a different, incomplete way)
  * spelling.diff: remove hunks which are applied upstream
  * fix-non-linux-build.patch: remove hunks which are applied upstream
  * refresh configs: enable ash sleep builtin, sha1/sha256 hwaccel,
    loop configure ioctl.
    New applets (tsort, seedrngm, tree) are not enabled
  * d/control: remove lsb-base from Depends of busybox-syslogd & udhcpd
    lsb-base was in Depends becase it provided /lib/lsb/init-functions
    file for the sysvinit initscripts in these packages. Now, sysvinit-utils
    has eaten this file. But this package is essential, so there's no need
    to depend on things providing init-functions anymore.
  * move udhcpd files from debian/tree/udhcpd/ to debian/
  * deb,static: enable nbd-client applet (Closes: #893843)
  * d/control: bump Standards-Version to 4.6.2 (no changes)
  * deb,static: enable nbd-client applet (Closes: #893843)
  * syslogd:
   - deb,static: enable syslog.conf and log rotation support for syslogd
     (Closes: #857760)
   - +syslogd-fork-after-init-not-before.patch:
     make syslogd init failures and error messages visible
   - busybox-syslogd package:
     - rewrite busybox-syslogd.init and busybox-klogd.init:
     - provide simple busybox-syslogd.service and busybox-klogd.service
       for systemd (Closes: #907189)
     - ship simple /etc/syslog.conf and syslog.conf.txt in docs
  * d/control: fix udhcpc & udhcpd names
  * udhcpc & udhcpd: make them Architecture: all instead of (linux-)any.
    The packages does not have any architecture-dependent parts at all
    (just the startup scripts), the only reason to make them arch-any is
    to exclude non-linux architectures.  But it seems it isn't worth the
    efforts really. Both packages becomes installable on non-linux but
    will not work.
  * udhcpd: rewrite the startup script
  * d/rules: adjust arch/indep rules so it build just the required parts,
    simplify install/link rules

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 08 Jun 2023 11:36:09 +0300

busybox (1:1.35.0-4) unstable; urgency=medium

  * static build: disable blkid applet (CONFIG_BLKID, #1023501)

    Since static build has CONFIG_FEATURE_PREFER_APPLETS=y, enabling
    any utility which is also provided by the system in other ways
    can be risky, since busybox shell will choose its applet version
    instead of running the actual utility, even if that utility file
    exists in $PATH. After enabling blkid, we effectively overwrote
    blkid from libblkid as used in initramfs. The result was non-
    working udev rules for block devices (not creating /dev/disk/by-*/),
    and the system's unbootable.

    Disable it for now at least on static build.
    Closes: 1023501

  * d/rules: recognize "terse" in $DEB_BUILD_OPTIONS to disable verbose build

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 06 Nov 2022 11:27:04 +0300

busybox (1:1.35.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + udhcpc: Add Multi-Arch: same.

  [ Philip Hands ]
  * explicitly enable lintian
  * disable repotest's fileordering variation
  * stop running busybox tests in reprotest variations

  [ Michael Tokarev ]
  * deb: enable fdisk applet the same way as done in static config
  * deb,static: enable blkid applet (useful for rescue purposes)
  * deb,static: enable findfs applet (useful for rescue purposes)
  * d/rules: use diff instead of cmp to compare config files
    (makes differences, if any, to be immediately visible)
  * support building on non-linux. 3 patches for upstream:
    - platform-linux.diff - resurrect PLATFORM_LINUX and make it automatic
    - fix-non-linux-build.patch - for missing O_DIRECT & IP_PKTINFO
    - use-libresolv-on-non-linux-too.patch - -lresolv for nslookup
  * adjust configs to include the new symbol
  * d/rules: stop messing with "select PLATFORM_LINUX" thing
  * d/rules: stop linking source into build subdir
  * d/rules: fix testsuite run with no source in build dir
  * d/rules: remove .kernelrelease in clean (leftover)
  * d/rules: move build directory from debian/build/ to b/
  * d/rules: s/${DIR}/$d/g
  * d/config/os/hurd: remove nonexisting FEATURE_INITRD (see #593865)
  * d/control: do not use ${shlib:Depends} for busybox-static

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 04 Nov 2022 20:41:55 +0300

busybox (1:1.35.0-2) unstable; urgency=medium

  * Team upload.

  [ Michael Tokarev ]
  * configs: enable (fast) sha3sum for regular and static builds (#1012828)

  [ Philip Hands ]
  * enable base64 in udeb
  * enable salsa-CI (via branch2repo)
  * remove redundant triggers (dh_installinitramfs creates them)
  * fix lintian mismatch override
  * refresh fuzzy patches

 -- Philip Hands <phil@hands.com>  Fri, 02 Sep 2022 17:10:44 +0200

busybox (1:1.35.0-1) unstable; urgency=medium

  [ Nobuhiro Iwamatsu ]
  * Enable stty applet in busybox-udeb. Closes: #891806

  [ Diederik de Haas ]
  * Enable CONFIG_FEATURE_TR_CLASSES and CONFIG_FEATURE_TR_EQUIV in deb
    config. Closes: #998803

  [ Yuval Freund ]
  * Fix special case for /32 subnets. Closes: #891857

  [ Chris Boot ]
  * New upstream release. Closes: #1002663
    - Closes: #985674 [CVE-2021-28831]
    - Closes: #999567 [CVE-2021-42373, CVE-2021-42374, CVE-2021-42375,
    CVE-2021-42376, CVE-2021-42377, CVE-2021-42378, CVE-2021-42379,
    CVE-2021-42380, CVE-2021-42381, CVE-2021-42382, CVE-2021-42383,
    CVE-2021-42384, CVE-2021-42385, CVE-2021-42386]
    - Closes: #995833 (uudecode /dev/stdout)
  * Refresh and rework patches:
    - Drop patches cherry-picked from upstream.
    - Drop ignore-ip-valid_lft.patch: no longer needed.
    - Rework version.patch: KBUILD_STR() has been dropped.
    - Temporarily drop kFreeBSD patches pending rework.
  * Update busybox configurations for new upstream version
  * Don't run test suite in verbose mode: it's easier to read without.

  [ Michael Tokarev ]
  * d/control: add myself to uploaders
  * switch to debhelper-compat=13
  * d/control: add ${misc:Pre-Depends} for packages with the startup scripts
  * enable tr classes for static build to
  * enable less applet for udeb (Closes: #949626)
  * enable base64 applet for regular and static (Closes: #998804)
  * d/rules: stop filtering -Wformat-security from CFLAG, it is okay now
  * d/rules: simplify the clean rule, omit dh in there
  * d/rules: made build-% depending on config-%
  * d/rules: steal build targets from dh which adds unnecessary indirection
  * d/rules: only do install & binary targets with dh
  * d/rules: set SHELL to sh -e to catch errors in shell fragments
  * d/rules: rework build/install procedure to be more robust wrt the
    environment variables: ensure busybox is built only once with right
    CFLAGS/CPPFLAGS/etc settings and not rebuilt during install time
  * many more smaller tweaks to d/rules:
    - fast inline version of architecture.mk
    - move examples & docs install from d/rules to d/*.{docs,examples}
    - switch from ${b} to $b
    - allow overriding verbose build by specifying V=
    - add shortcut targets build-deb configure-udeb test-static etc
    - export ECHO=/bin/echo for testsuite (it builds its own if no -e)
  * remove scripts-echo.c-fix-NUL-handling-in-abc-0-def.patch - not needed
    with the right ECHO=
  * d/busybox-static.lintian-overrides: add uses-dpkg-database-directly
  * spelling.diff: two spelling fixes for the source
  * d/changelog: strip trailing space
  * d/control: mark zip build-dependency with <!nocheck>
  * udeb config: enable awk applet the same way as for regular/static builds

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 06 Jun 2022 21:25:41 +0300

busybox (1:1.30.1-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + busybox: Drop versioned constraint on initramfs-tools in Breaks.

  [ Aurelien Jarno ]
  * Team upload.
  * Disable CONFIG_FEATURE_MOUNT_NFS. This option is to "Support mounting NFS
    file systems on Linux < 2.6.23", which are not supported anymore in
    Debian. It requires RPC support in glibc, which has just been removed.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 22 Aug 2021 16:39:45 +0200

busybox (1:1.30.1-6) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Team upload.
  * cherry-pick settimeofday for glibc v2.31+ compatibility fix for upstream.
    Closes: #966074.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 16 Aug 2020 12:17:38 +0200

busybox (1:1.30.1-5) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Team upload.
  * cherry-pick glibc 2.31 compatibility fix from upstream. Closes: #955368.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 13 Jul 2020 22:15:51 +0200

busybox (1:1.30.1-4) unstable; urgency=high

  [ Ben Hutchings ]
  * Drop "Stop overriding stack alignment on i386" as this behaviour is now
    configurable
  * debian/rules: Enable verbose output (V=1) for "make oldconfig"

  [ Cyril Brulebois ]
  * Reinstate temp-deb-installer-hack.patch and FEATURE_DI_ENV_HACK=y
    Closes: #925979

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 01 Apr 2019 07:17:50 +0200

busybox (1:1.30.1-3) unstable; urgency=high

  * Ignore any valid_lft or preferred_lft parameters to ip, thanks
    Steve Langasek. Closes: #924442
  * Fix ip oneline, thanks Dominik George. Closes: #924374

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 24 Mar 2019 16:52:05 +0100

busybox (1:1.30.1-2) unstable; urgency=high

  * Complete the fix for [CVE-2018-20679] Closes: #918846

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 02 Mar 2019 09:11:13 +0100

busybox (1:1.30.1-1) unstable; urgency=high

  [ Christoph Biedl ]
  * New upstream version 1.30.1
    Closes: #918846 [CVE-2018-20679]
  * Refresh patch queue
  * Update busybox configurations for new upstream version

  * Debian packaging changes:
    [ Chris Boot ]
    * Check signatures on upstream tarballs:
      - d/watch: set opts=pgpsigurlmangle
      - d/upstream/signing-key.asc: import Denis Vlasenko's key
    * d/changelog:
      - Correct CVE reference in changelog entry for previous upload.
      - Remove trailing whitespace.
    * d/rules:
      - Remove trailing whitespace.
    * Switch to debhelper 11.
    * d/control:
      - Set Rules-Requires-Root: no.
      - Bump Standards-Version to 4.1.5; no other changes required.
    * Remove obsolete files:
      - d/bin/genorig.py: not needed since ~2008.
      - d/udeb-sizes: not updated since ~2012.
    [ Christoph Biedl ]
    * Add a README for any package maintainer

  [ Chris Boot ]
  * Refresh and rework patches:
    - Drop patches cherry-picked from upstream.
    - Drop temp-deb-installer-hack.patch: no longer needed.
    - Rework patches to account for upstream changes:
      - shell-ash-export-HOME.patch
      - version.patch
  * Enable new applets for use by initramfs-tools: nuke, resume, run-init.

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 01 Mar 2019 21:19:43 +0100

busybox (1:1.27.2-3) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

  [ Chris Lamb ]
  * PEP8 fixes.

  [ Ben Hutchings ]
  * Stop overriding stack alignment on i386 (Closes: #886506)
  * Apply security fixes for wget from upstream:
    - wget: more thorough sanitization of other side's data
    - wget: check chunk length for overflowing off_t (CVE-2018-1000517)
      (Closes: #902724)
    - wget: handle URLs with @ or hash differently

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 13 Jul 2018 04:19:08 +0100

busybox (1:1.27.2-2) unstable; urgency=medium

  * Trigger an initramfs rebuild on installation. (Closes: #549022)
  * Temporarily re-enable invalid variable names in the udeb flavour for
    debian-installer.
  * Install the readlink binary in /bin. (Closes: #801850)
  * Fix integer overflow in bzip2 decompresson [CVE-2017-15873].
    (Closes: #879732)
  * Fix integer underflow in LZMA decompressor [CVE-2017-15874].
    (Closes: #879732)
  * Prevent tab completion for strings containing control characters
    [CVE-2017-16544].
  * Debian packaging changes:
    - Update debian/control:
      - Update Standards-Version to 4.1.1.
      - Change Priority to optional for all packages.
    - Remove obsolete debian/gbp.conf.
    - Update debian/watch:
      - Switch to format=4.
      - Use HTTPS URI.

 -- Chris Boot <bootc@debian.org>  Tue, 28 Nov 2017 13:45:04 +0000

busybox (1:1.27.2-1) unstable; urgency=medium

  * New upstream release. This addresses:
    - Segmentation fault when creating compressed tar files. (Closes: #812074)
    - Pointer misuse unziping files. (Closes: #803097)
    - Buffer overflow in the DHCP client [CVE-2016-2148]. (Closes: #818497)
    - Integer overflow in the DHCP client [CVE-2016-2147]. (Closes: #818499)
  * Postpone creation of symlinks with "suspicious" targets [CVE-2011-5325].
    (Closes: #802702)
  * Re-enable the test suite during build. (Closes: #794526)
  * udhcpc: correct a typo in /etc/udhcpc/default.script. (Closes: #873472)
  * Debian packaging changes:
    - Run wrap-and-sort -st.
    - Update debian/control:
      - Replace Uploaders with myself and Christoph Biedl. Many thanks to
        Bastian Blank and Michael Tokarev for having maintained busybox for
        many years prior.
      - Remove Build-Depends to avoid ancient broken libc-dev-bin.
      - Bump Build-Depends on debhelper to >= 10.
    - Rewrite debian/rules:
      - Simplify and use the dh sequencer.
      - Remove test for ancient broken libc6 versions with static binaries.
      - Strip -O2 from CFLAGS, falling back to -Os from the busybox
        configuration.
      - Abort the build if 'make oldconfig' changes the configuration at all.
    - Update busybox build configuration files for the new upstream release.
      - The udeb configuration mostly hasn't changed, but enable fgrep,
        blkdiscard, bzcat and lsscsi.
      - The deb and static configurations have had upstream recommendations
        enabled for new options.
    - Switch to debhelper compatibility level 10.
    - Add Depends on lsb-base to busybox-syslogd and udhcpd.
    - Update debian/.gitignore.
    - Update Standards-Version to 4.0.1:
      - Disable tests that require networking.

 -- Chris Boot <bootc@debian.org>  Sun, 17 Sep 2017 17:59:31 +0100

busybox (1:1.22.0-19) unstable; urgency=medium

  * busybox-udeb, udhcpc: Remove /udhcpc/usr/share/udhcpc/default.script,
    erroneously included in version 1:1.22.0-18
  * Disable CONFIG_FEATURE_PREFER_APPLETS in standard build (Closes: #821307)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 17 Apr 2016 16:37:24 +0100

busybox (1:1.22.0-18) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Thu, 04 Feb 2016 06:48:52 +0100

busybox (1:1.22.0-17) unstable; urgency=medium

  [ Ben Hutchings ]
  * Completely take over busybox installation from initramfs-tools:
    - Add conf hook defining BUSYBOXDIR
    - Make main hook fail if /bin/busybox does not exist

 -- Christian Perrier <bubulle@debian.org>  Fri, 22 Jan 2016 05:45:29 +0100

busybox (1:1.22.0-16) unstable; urgency=medium

  * Stop reading initramfs.conf in initramfs hook; this is redundant and can
    result in a broken initramfs (Closes: #810153)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 17 Jan 2016 20:43:42 +0000

busybox (1:1.22.0-15) unstable; urgency=medium

  [ Michael Gilbert ]
  * Fix CVE-2014-9645: modprobe accepts paths as modules (closes: #776186).

 -- Cyril Brulebois <kibi@debian.org>  Wed, 04 Mar 2015 17:46:34 +0100

busybox (1:1.22.0-14) unstable; urgency=low

  * one more attempt to fix the glibc build-depend for #769190, now
    using versioned build-dependency on libc-dev-bin which is named
    this way on all architectures (unlike libc6|libc6.1|libc0.1|libc0.3)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 14 Nov 2014 12:52:18 +0300

busybox (1:1.22.0-13) unstable; urgency=medium

  * really fix #769190 the hard way, by build-conflicting with all
    arch-specific names of libc with version <2.19-12 (Closes: #769190)
  * check if glibc can produce working statically linked binaries
    by performing a getpwnam("root") call before building (#754813)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 12 Nov 2014 23:59:30 +0300

busybox (1:1.22.0-12) unstable; urgency=medium

  * fix the previous changelog entry (wrong bug# was "fixed" and typos)
  * ensure we build against non-broken glibc (>=2.19-12) (Closes: #769190)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 12 Nov 2014 12:37:11 +0300

busybox (1:1.22.0-11) unstable; urgency=medium

  * fix the built-using generation in the previous upload -- did not
    work correctly for != 1 dependency and #588505 in dpkg

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 11 Nov 2014 19:24:21 +0300

busybox (1:1.22.0-10) unstable; urgency=high

  * lzop-add-overflow-check-CVE-2014-4607.patch (Closes: #768945)
  * add Built-Using control field for -static, deriving it from
    regular build (this will be glibc) (Closes: #768876)
  * install only arch/indep deb as requested by binary-arch or binary-indep
    target.  This fixes a long-standing lintian error, when package build
    always produces busybox-syslogd package which is arch:all and should not
    be built on a buildd.

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 11 Nov 2014 17:07:34 +0300

busybox (1:1.22.0-9) unstable; urgency=medium

  * cherry-pick find /BITS patch from upstream (Closes: #760637)
  * clean-up provides/replaces/conflicts of busybox-syslogd from referencs
    to klogd/sysklogd/inetutils-syslogd, only keep virtual packages
    {linux-kernel,system}-log-daemon in there (Closes: #730059)
  * test for /run/systemd/system in busybox-klogd initscript and exit
    if present, to not conflict with systemd klogd functions
  * do not pass extra params to dh_installinit (using dep-based ordering)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 30 Sep 2014 08:50:20 +0400

busybox (1:1.22.0-8) unstable; urgency=medium

  * Team upload

  [ Michael Tokarev ]
  * iproute-support-onelink-route-option-and-print-route-flags.patch
  * udhcpc default script improvements:
    - set interface up in deconfig, which allows udhcpc to operate on
      initially down interface
    - set mtu if given
    - always use $subnet (it is always set)
    - use (linux-specific) ip applet (since udhcpc is linux-specific anyway)
    - only process one default route, since linux ignores all but the first
    - only change default route if differ from actual
    - special-case for /32 subnets, add host route to the router IP
      (used heavily in clouds and other thin provisioning environments)
      (partially Closes: #652573, for udhcpc)
    - flush routes in deconfig too
    - log messages to syslog
    - various minor cleanups
  * busybox-udeb: use ip route onlink in udhcpc script to handle /32 subnets
    (Closes: #652573)
  * update-deb-format-support.patch: patch from Guillem Jover to support
    xz format in busybox dpkg (enabled only in busybox-static)
    (same patch than the one in -7 but named differently)

 -- Christian Perrier <bubulle@debian.org>  Sun, 03 Aug 2014 12:38:57 +0200

busybox (1:1.22.0-7) unstable; urgency=low

  * Team upload

  [ Guillem Jover ]
  * Update deb format support. Closes: #756462

  [ Christian Perrier ]
  * Add gbp.conf to build the package automatically with git-
    buildpackage
  * Source /lib/lsb/init-functions in udhcpd init script

 -- Christian Perrier <bubulle@debian.org>  Sun, 03 Aug 2014 09:22:14 +0200

busybox (1:1.22.0-6) unstable; urgency=low

  * Team upload

  [ Cyril Brulebois ]
  * Fix typo in udhcpc's long description, thanks to Pascal De Vuyst for
    the report (Closes: #745292).

 -- Christian Perrier <bubulle@debian.org>  Mon, 28 Apr 2014 08:48:37 +0200

busybox (1:1.22.0-5) unstable; urgency=low

  * Team upload

  [ Michael Tokarev ]
  * enable (apparently forgotten) lzop applet for regular and static builds
  * support DEB_BUILD_OPTIONS=parallel=N (Closes: #740397)
  * support DEB_BUILD_OPTIONS=nocheck to skip testsuite run
  * enable date applet for udeb flavour too (Closes: #702093)

 -- Christian Perrier <bubulle@debian.org>  Sat, 22 Mar 2014 20:06:42 +0100

busybox (1:1.22.0-4) unstable; urgency=low

  * new: do-not-fail-on-missing-SIGPWR.patch: fix FTBFS on !linux,
    refresh: testsuite-kfreebsd.diff: fix testsuite on kFreebsd
    Thanks to Steven Chamberlain for this (Closes: #736975).
  * new: zcat:-complain-if-input-is-not-compressed.diff patch from
    upstream, to fix zcat allowing uncompressing input after
    previous fixes for #736872

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 03 Feb 2014 12:51:26 +0400

busybox (1:1.22.0-3) unstable; urgency=low

  * mention closing of #685361 by 1.22
  * enable devmem applet for regular and static builds (Closes: #696704)
  * enable acpid applet for regular and static builds (Closes: #704815)
  * enable mount -f (MOUNT_FAKE) for all builds (Closes: #484799)
  * let busybox-static to provide busybox (Closes: #375568)
  * added two fixes from upstream (Closes: #736872)
    libarchive-open_zipped-does-not-need-to-check-extensions.diff
    libbb-open_zipped-should-not-fail-on-non-compressed-files.diff

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 28 Jan 2014 14:27:50 +0400

busybox (1:1.22.0-2) unstable; urgency=low

  * use the same initramfs hook for busybox-static as
    for busybox (Closes: #736521)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 26 Jan 2014 19:47:07 +0400

busybox (1:1.22.0-1) unstable; urgency=low

  * new upstream release (1.22.0), removed patches which were upstreamed.
    This version actually fixes #686502 (concatenated xz streams)
    which were closed in debian but the patch has been dropped meanwhile.
    (also Closes: #685361)
  * update configs.  In particular, enable new fstrim applet
    for regular build
  * update to 1.22.1 (1.22.1.diff)
  * include stable changes from upstream up to 2014-01-23
  * testsuite-fix-last-which-change.diff (applied upstream):
    use `command -v' instead of `command -pv' (Closes: #733502)
  * added description to version.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 23 Jan 2014 18:39:42 +0400

busybox (1:1.21.0-6exp) experimental; urgency=low

  * increase syslog buffer size from 256 to 1024 bytes,
    hopefully this (Closes: #519356)
  * mention closing of #681940, #701960, #716808 by 1.21
  * document static_lease in udhcpd.conf.5 (Jonathan David Amery)
    (Closes: #699229)
  * fix busybox initramfs hook to actually _run_ (make it executable)
    and actually strip leading /usr from applet paths.  Stupid.
    (Closes: #732256)
  * move build directory from debian/build to build

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 16 Dec 2013 13:31:55 +0400

busybox (1:1.21.0-5exp) experimental; urgency=low

  * build-depend on zip so that the testsuite can be run
  * update Standards-Version to 3.9.5 (no changes needed)
  * always run testsuite in verbose mode
  * run testsuite with C.UTF8 locale to enable unicode tests
  * fail if the testsuite fails (when RUN_TESTSUITE=y)
  * fix or disable some tests for non-linux OSes
    (debian/testsuite-*.diff files)
  * taskset is linux-specific, disable it for kfreebsd and hurd

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 09 Dec 2013 21:59:25 +0400

busybox (1:1.21.0-4exp) experimental; urgency=low

  * actually enable running the testsuite

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 09 Dec 2013 15:06:07 +0400

busybox (1:1.21.0-3exp) experimental; urgency=low

  * enable running the testsuite but do not fail the build if testsuite fails
  * readlink-MAXSYMLINKS-hurd.patch to stop busybox from ftbfs'ing on hurd

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 09 Dec 2013 14:51:33 +0400

busybox (1:1.21.0-2exp) experimental; urgency=low

  * set CONFIG_BUSYBOX_EXEC_PATH=/proc/self/exe on linux and kfreebsd,
    and set it to /bin/busybox on hurd since it does not have /proc/self/exe
    equivalent.
    This is needed to at least run the testsuite, because we really want to
    execute our just-built binary, not system /bin/busybox binary.  And this
    is needed in all other cases when our binary is not in /bin/busybox.
    This is the upstream default too.
    The original change were made at Mar-2008 when applet-fallback patch
    were introduced, in an attempt to fix #472653.  Without this change,
    busybox was useless in the very beginning of initramfs.  In order to
    fix this, we'll create applet links to busybox binary in /bin&Co.
  * add initramfs hook to install busybox properly in initramfs
  * apply testsuite-bashisms.patch, to enable running of testsuite with dash.
  * add ability to run testsuite (disabled for now, unicode tests fail on sid)
  * rewamp/simplify debian/rules
  * use busybox versions of ifconfig and route in udhcpc script
    (Closes: #684596)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 07 Dec 2013 19:47:27 +0400

busybox (1:1.21.0-1) unstable; urgency=low

  * new upstream release (1.21) (Closes: #681940, #701960, #716808)
  * removed all 1.20.* patches from upstream, plus a few other
    which are also applied now:
    - dont-force-no-alignment-for-s390.patch
    - grep-fix-grep--Fw-not-respecting-the--w-option.patch
    - mdev-fix-mode-of-dir1-in-=dir1-dir2-file-rule.patch
    - cherrypick-include-fix-ftbfs-gcc4.8.patch
  * refreshed patches:
    = shell-ash-export-HOME.patch
    = u-mount-FreeBSD-support.patch
  * refreshed configs
  * applied 1.21.1 (stable) patch from upstream, and removed more
    patches which are now included in 1.21.1:
    - xz-support-concatenated-xz-streams.patch
    - fix-move_to_unaligned16.patch
    - xz-fix-put_unaligned_e32.patch
  * removed applets-fallback.patch.  It hasn't been applied since 1.20
    (including wheezy), just get rid of it finally.  Please note that
    this wasn't intentional, I didn't plan to stop applying it for
    wheezy, especially silently.

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 10 Nov 2013 18:34:21 +0400

busybox (1:1.20.0-9) unstable; urgency=low

  * Team upload

  [ Dmitrijs Ledkovs ]
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.
  * Cherrypick missing includes from 1.21, to fix FTBFS with gcc4.8.

  [ Christian Perrier ]
  * Update Standards to 3.9.4 (checked)

 -- Christian Perrier <bubulle@debian.org>  Sat, 24 Aug 2013 08:37:40 +0200

busybox (1:1.20.0-8) unstable; urgency=low

  * grep-fix-grep--Fw-not-respecting-the--w-option.patch - implement
    fgrep -w correctly (Closes: #695862)
  * xz-support-concatenated-xz-streams.patch (Closes: #686502)
  * lineedit-initialize-delptr.patch - fix segfault in line editing
    facility (Closes: #701959)
  * mdev-fix-mode-of-dir1-in-=dir1-dir2-file-rule.patch - make intermediate
    dirs in /dev to be of mode 0755 not 0777 (Closes: #701965)
  * fix unaligned access macros (Closes: #701968)
    - fix-move_to_unaligned16.patch
    - xz-fix-put_unaligned_e32.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 02 Mar 2013 16:42:49 +0400

busybox (1:1.20.0-7) unstable; urgency=low

  * set CONFIG_FEATURE_COPYBUF_KB from 4 to 64 for all flavours.  This
    increases speed of various applets *dramatically*.  For example, wget
    applet download time for certain file decreased from 3.8sec to 0.6sec.
  * modprobe-read-modules-builtin.patch: stop modprobe from complaining
    when asked to load a "module" which is built-in.  Thank you
    Ben Hutchings for the patch. (Closes: #652672)
  * udeb: enable ping6 applet and FEATURE_FANCY_PING - more featureful
    ping(6) variant with statistics et al.  This makes ping6 available in
    d-i (initial network debugging), and makes ping there not only more
    useful but also using a more tested code, as used in other variants.
    4Kb file size increase on i386.
  * stop-checking-ancient-kernel-version.patch: a rather trivial patch
    to disable compatibility code for kernels <2.2.18 in nfs mount.
    This was the only place in debian busybox which used
    get_linux_version_code() function which was buggy on kernels with
    less than 3 components version number.  So instead of fixing that
    function, we got rid of the last user of it.  (Closes: #684611)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 20 Sep 2012 10:32:55 +0400

busybox (1:1.20.0-6) unstable; urgency=low

  * reorder patches in debian/patches/series: all upstream first,
    debian-specific next.  cmp(1) shows no changes in the resulting
    sources (after applying patches both ways)
  * dont-force-no-alignment-for-s390.patch: do not use ALIGN* macros
    on s390 and s390x because gcc generates wrong code (for wrong
    declarations).  No effect for anything but s390(x), where the
    resulting package does not work anyway. (Closes: 681760)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 22 Jul 2012 12:30:02 +0400

busybox (1:1.20.0-5) unstable; urgency=low

  * enable various xargs features for all flavours, to make it work
    as POSIX requires (notable quotes and backslash processing).
    Also enable -0 option, apparently forgotten at the time (it
    complements find -print0 which is enabled).  (Closes: #680342)
  * replace my ps-get-uptime.patch with busybox-1.20.1-ps.patch
    (it is the same patch, just file formatting changed and it
    is now obvios the patch is applied upstream)
  * added another upstream bugfix patch, busybox-1.20.1-mke2fs.patch,
    to fix mkfs.ext2 breakage.  It is only used in static flavour in
    debian, but producing broken filesystem isn't an option there too.
  * busybox-1.20.1-1.20.2.patch -- change version to 1.20.2.  This is
    the only remaining change to upstream 1.20.2 stable release.
  * enable ping applet for udeb build, +613 bytes on i386.  (Closes: #406114)
  * update shell-ash-export-HOME.patch - DEP-3 headers and a long
    description.  This patch now removes "const" modifier from the
    default PATH variable definition, making it writable.  Full
    description is within the patch comments. (Closes: #679377)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 08 Jul 2012 01:37:18 +0400

busybox (1:1.20.0-4) unstable; urgency=low

  * ps-get-uptime.patch: make procps/ps.c compilable on non-linux again
    (Closes: #677254)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 12 Jun 2012 21:17:52 +0400

busybox (1:1.20.0-3) unstable; urgency=low

  * 1.20 had a few fixes which I forgot to mention:
    - integer overflow in expression on big endian (Closes: #635370)
      (I dislike the fix since it makes use of 64bit integers
      instead of using unsigned 32bit, but this is how upstream
      fixed it)
    - CVE-2011-2716 udhcpc insufficient checking of DHCP options (Closes: #635548)
      busybox dhcpd now replaces values of HOST_NAME, DOMAIN_NAME,
      NIS_DOMAIN, TFTP_SERVER_NAME with the literal string "bad"
      if these contains any bad characters.
  * applied stable patches from upstream (ash, man, ifupdown, tar)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 02 Jun 2012 14:54:04 +0400

busybox (1:1.20.0-2) experimental; urgency=low

  * new 1.20.1 upstream bugfix release (debian/patches/1.20.1.patch),
    all patches in upstream/ merged
  * removed reenable-ps-options-for-DESKTOP-case.patch, it was wrong
    (see https://bugs.busybox.net/show_bug.cgi?id=5216)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 30 May 2012 12:10:47 +0400

busybox (1:1.20.0-1) experimental; urgency=low

  * new upstream (mostly bugfix) release
  * got rid of the long-standing debian-specific applets-fallback.patch, once
    upstream added commit 83f103b30e41ab038e "ash: in standalone mode, search
    in $PATH if /proc/self/exe doesn't exist".  I still carry the patch itself,
    but it isn't referenced in the series file anymore.
  * removed patches which were applied upstream, and added a few patches
    from upstream 1.20 stable branch
  * refreshed swaponoff-FreeBSD-support.patch and u-mount-FreeBSD-support.patch
  * refreshed configs for 1.20
  * enabled many httpd options (AUTH_MD5, RANGES, SETUID, CGI, GZIP, ENCODE)
    for static and regular build, which results in ~5Kb binary size difference
    on x86 but enables features users are asking
    (Closes: #548999, #626820, #571743)
  * enabled dpkg-buildflags usage (filtering out -Werror=format-security from
    CFLAGS) (Closes: #670993)
  * ship some docs and examples in static and regular builds (Closes: #671832)
  * enable expand/unexpand and ar-long-options in deb build, - small changes
    to reduce difference from static config.
  * added reenable-ps-options-for-DESKTOP-case.patch
  * DEP-3 headers for init-console.patch

  * releasing to experimental due to applets-fallback.patch removal

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 16 May 2012 13:47:42 +0400

busybox (1:1.19.3-7) unstable; urgency=low

  * enable stat applet for deb & static
  * enable less applet for deb ("more" does not quite work)
    and enable some options for it in static build
  * enabled a few options for top and ps applets in deb, taken from static
  * enabled NFS mount (Note: only NFSv2 and v3, not v4, and only on Linux)
    (Closes: #573056, #348664)
  * enabled microcom for deb build, taken from static
  * relaxed the "links" subpackages version dependencies from source:Version
    to source:Upstream-Version
  * DISabled some questionable applets from static build,
    to match regular build:
   - acpid
   - fbset (Closes: #310128) -- removing non-functional fbset
   - adduser, deluser, addgroup, delgroup
   - fsck_minix, mkfs_minix
   - eject
   - makedevs
   - fdflush
   - vlock

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 13 Apr 2012 11:54:16 +0400

busybox (1:1.19.3-6) unstable; urgency=low

  * enable arp applet for static&regular builds
    (lacking ip neigh)
  * enable mdev applet for regular build and all
    options for regular&static builds (it has already
    been enabled for static)
  * enable init and halt/poweroff/shutdown applets for
    all variants and make them consistent.  Also remove
    mesg applet from static build
  * enable vconfig applet for regular build, making it
    consistent with static & udeb
  * enable hwclock applet for regular & udeb builds, and
    disable FHS adjtime for static build (to make the
    location consistent with util-linux)
  * enable login&getty applets in regular build (the same as for static)
    (Closes: #523034)
  * kFreeBSD does not define MNT_NODEV anymore, work around it
    (Closes: #667530)
  * apply fix-test-!-segfault.patch from upstream git.  (Closes: #660573)
  * bump Standards-Version to 3.9.3 (no changes necessary)
  * simplify debian/rules a bit
  * mark udhcpc and udhcpd packages as Architecture: linux-any instead of all,
    since they're really linux-specific for now, which in debian terms means
    not arch-independent so "all" can't be used.  This means that we'll have
    uchcpc_i386.deb, udhcpc_mipsel.deb etc so it wastes space in archives,
    but this should give better _user_ experience.

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 12 Apr 2012 12:15:43 +0400

busybox (1:1.19.3-5) unstable; urgency=low

  * enabled module-init-tools (for 2.6+ kernels, with depmod and modinfo)
    in all 3 - regular, static and udeb - builds.  Size change on i386:

      text    data     bss     dec     hex filename
    525121    1779    8984  535884   82d4c busybox(deb)
    532431    1779    8984  543194   849da busybox(deb)+mit+modinfo
    534137    1779    8984  544900   85084 busybox(deb)+mit+modinfo+depmod
    294309    1514    8688  304511   4a57f busybox(udeb)
    298131    1514    8688  308333   4b46d busybox(udeb)+mit
    299290    1514    8688  309492   4b8f4 busybox(udeb)+mit+modinfo
    301397    1518    8688  311603   4c133 busybox(udeb)+mit+modinfo+depmod

    which is about 7Kb (9Kb with depmod) difference for regular deb and
    5Kb (7Kb with depmod) for udeb.  This is a long-awaited change.
    (Closes: #288759, #298119, #250047)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 16 Dec 2011 18:07:43 +0400

busybox (1:1.19.3-4) unstable; urgency=low

  * move the forgotten udeb udhcpc script to /etc/udhcpc too
    (Closes: #650400)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 30 Nov 2011 23:28:02 +0400

busybox (1:1.19.3-3) unstable; urgency=low

  [ Otavio Salvador ]
  * kfreebsd: use xterm terminal type instead of cons25. Thanks to
    Robert Millan <rmh@debian.org> for the patch. Closes: #647672.

  [ Michael Tokarev ]
  * added /etc/insserv.conf.d/busybox-syslogd to tell insserv we're
    providing syslog service.  Closes: #647942
  * stop canonicalizing "source" argument of mount on FreeBSD, to
    allow "nodev" filesystems to be mounted.  Closes: #637082
  * forcibly enable swapon/swapoff on kfreebsd even if these a marked
    as linux-specific.  Closes: #647287.
  * revert static-math-overflow-on-big-endian (Reopens: #635370)
  * move udhcpc default.script from /usr/share/udhcpc back to /etc/udhcpc
    where it was long time ago.  It may conflict with the same conffile
    as was in udhcpc package back in lenny, but the scripts from that
    pkg should continue working still.  Closes: #619114
  * config changes:
    + taskset applet (deb & static) (Closes: #624852)
    + timeout applet (deb)
    + setsid & cttyhack applets (deb & static) (Closes: #588324)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 23 Nov 2011 01:13:39 +0400

busybox (1:1.19.3-2) unstable; urgency=low

  * reorder PLATFORM_LINUX changes in debian/rules so that
    it is possible to have OS-specific config overrides again,
    which was broken with all this PLATFORM_LINUX mess
    (Closes: #647287)
  * added support for unxz (CONFIG_UNXZ) to udeb (+8Kb on i386)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 01 Nov 2011 20:44:30 +0400

busybox (1:1.19.3-1) unstable; urgency=low

  * another iteration around PLATFORM_LINUX change.
    Do not remove PLATFORM_LINUX in arch-specific configs,
    since it does not hide linux-specific options anyway.
    This should finally fix FTBFS on kfreebsd, and it
    makes config files exactly the same as they appear
    on linux platform.
  * add another patch (sent upstream) to mark modinfo
    selecting CONFIG_LINUX as all other linux-specific
    options.  Another FTBFS on kfreebsd and hurd
  * add a patch (and sent upstream) to use CBAUD definition
    conditionally in (rewritten in 0.19) getty.c - hurd does
    not have this #define.  FTBFS on hurd.
  * updated to upstream 1.19.3 (minor bugfix) release,
    removing all patches taken from upstream
  * static-math-overflow-on-big-endian.patch (sent upstream),
    to fix integer overflow in header on big-endian platform
    (closes: #635370)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 30 Oct 2011 21:55:22 +0400

busybox (1:1.19.2-4) unstable; urgency=low

  * update non-PLATFORM_LINUX cleanup to take config info
    stored in source files too (run gen_build_files first)
  * apply patches from upstream stable branch:
     busybox-1.19.2-chpasswd.patch
     busybox-1.19.2-inetd.patch
     busybox-1.19.2-syslog.patch (closes: #646984)
     busybox-1.19.2-tail.patch
     busybox-1.19.2-tftp.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 29 Oct 2011 12:36:44 +0400

busybox (1:1.19.2-3) unstable; urgency=low

  * disable all config options which selects PLATFORM_LINUX
    on non-linux platforms.  This should fix build problems
    on kfreebsd and hurd.
  * add myself to Uploaders.
  * bump Standards-Version to 3.9.2 (no changes needed)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 28 Oct 2011 20:42:07 +0400

busybox (1:1.19.2-2) unstable; urgency=low

  * resurrect applets-fallback.patch for now,
    thank you Stefan Lippers-Hollmann for the rediff.
    This restores the (broken) initramfs usage
    (Closes: #646284)
  * s/XC-Package-Type/Package-Type/ in debian/control (lintian)
  * add default build, build-arch and build-indep targets
    to debian/rules (lintian), and remove old maintainerclean
  * forgotten for 1.19: (Closes: #450895)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 23 Oct 2011 02:47:35 +0400

busybox (1:1.19.2-1) unstable; urgency=low

  [ Hector Oron ]
  * enable cross compilation support (Closes: #572431)

  [ Michael Tokarev ]
  * new upstream release (1.19.2) (Closes: #450895):
   * refreshed all patches, except:
     o applets-fallback: disabled, will try to get rid of it
     o udhcpc-emit-correct-secs-field: applied upstream
     o dirname-basename-skip-doubledash: different version applied upstream
   * refreshed configs, not enabling most new applets
  * debian/rules:
   o get rid of debian/stamps subdir and long dirnames in debian/build
   o clean up old tarball-related stuff from debian/rules

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 22 Oct 2011 16:02:37 +0400

busybox (1:1.18.5-1) unstable; urgency=low

  [ Loïc Minier ]
  * Drop debian/gbp.conf as git-buildpackage 0.5.22 doesn't need this anymore.

  [ Michael Tokarev ]
  * imported upstream sources into the git repository, and removed
    debian/README.sources (the package can be built by gbp directly)
  * enable switch_root applet (Closes: #572939)
  * enable seq applet (Closes: #618927)
  * enable float and fancy sleep (Closes: #341403)
  * enable getopt (with long options) for udeb (Closes: #348314)
  * enable standalone telnetd in static build (Closes: #621485)
  * enable ps wide output (ps -w) (Closes: #519045)
  * add debian/.gitignore to ignore generated files in debian/ directory
  * enable cmp applet in udeb flavour
  * enable diff applet in regular and static builds (Closes: #625774)
  * enable missing compression applets in static build
  * sync deb=>static config a bit more
  * enable SEAMLESS_XZ decompression for static and regular builds
  * udhcpc: emit "correct" secs field from upstream (Closes: #630000)
  * new upstream (minor) release 0.18.5

  [ Colin Watson ]
  * Fix udhcpc default.script to operate only on IPv4, to allow dual-stack
    operation.
  * Enable remote logging in syslogd (closes: #605614).
  * Enable vconfig for udeb, until such time as the ip applet can configure
    VLANs itself (closes: #591756).

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 25 Jul 2011 13:08:04 +0400

busybox (1:1.18.4-2) unstable; urgency=low

  [ Loïc Minier ]
  * Remove all references to tryexec's applet_no in patch applets-fallback as
    this param is not used; this has the side effect of working around a
    toolchain issue breaking busybox's exec on ARM; closes: #621137.
  * Add debian/gbp.conf to ease usage with git-buildpackage.
  * Add debian/README.source with some advice on git-buildpackage usage and
    direct builds from a git checkout.

 -- Joey Hess <joeyh@debian.org>  Thu, 07 Apr 2011 22:26:13 -0400

busybox (1:1.18.4-1) unstable; urgency=low

  * new upstream bugfix release (1.18.4)
  * refreshed debian/patches/u-mount-FreeBSD-support.patch
    (fix build failure on kfreebsd) (Closes: #618644)
  * refreshed applets-fallback.patch (compensate for offsets)
  * added debian/udeb-sizes to track various options of udeb build
  * added dirname-basename-skip-doubledash.diff (Closes: #580492)
  * config:
   - enable sha1sum & sha512sum in udeb (Closes: #615926)
   - enable mktemp in udeb (Closes: #310440)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 17 Mar 2011 16:18:35 +0300

busybox (1:1.18.3-1) unstable; urgency=low

  [ Michael Tokarev ]
  * new upstream version (1.18.3).  No config changes
    (configs refreshed)

  * patches:
   - removed doc-man-name.patch (now upstream)
   - removed init-console-CRTSCTS.patch (now upstream)
   - removed all patches which are in 1.18 upstream:
     readlink-use-xmalloc_realpath.patch
     mark-Linux-specific-configuration-options.patch
     init-loginutils-termios-portability-fixes.patch
     init-halt-portability-improvements.patch
     init-make-the-initial-TERM-value-configurable.patch
     libbb.h-add-device-names-for-Hurd-and-FreeBSD.patch
     mkdir-fix-p-on-FreeBSD.patch
     libbb-conditionalize-AF_-usage-in-error-reporting.patch
     tcpsvd-udpsvd-conditionalize-usage-of-SO_ORIGINAL_DS.patch
     less-remove-misguided-dependency-on-PLATFORM_LINUX.patch
     bootchartd-mounting-tmpfs-is-Linux-specific.patch
     vlock-disable-linux-console-calls-on-other-systems.patch
     cttyhack-serial-console-detection-is-Linux-specific.patch
     klogd-make-it-work-on-non-linux-systems.patch
     stty-sort-out-preprocessor-conditionals.patch
     update-scripts-kconfig-_shipped.patch
     blockdev.patch
   - refreshed:
     version.patch
     make_gen_build_files_skip_quilt.patch
     u-mount-FreeBSD-support.patch
   - and refreshed all patches to be with sane options and w/o fuzz
   - removed strip.patch, use SKIP_STRIP instead

  * config features changes:
   LIBM (math functions in awk and dc) (-deb -static =udeb)
   NON_POSIX_CP (-deb =static =udeb)
   TAR_NOPRESERVE_TIME (tar -m) (=deb +static =udeb) (closes: #238235)
   MD5_SHA1_SUM_CHECK (md5sum&Co -c) (+de, +static =udeb)
   MOUNT_LOOP_CREATE (+deb +static =udeb)
   NC_SERVER & NC_EXTRA (netcat server mode) (+deb +static =udeb)

  * config applets: (closes: #316847)
   MKSWAP (+deb =static =udeb)
   AR (+deb =static =udeb)
   FREERAMDISK (+deb =static =udeb)
   PIVOT_ROOT (+deb =static =udeb)

  [ Cristian Greco ]
  * debian/control: add Vcs-* fields
  * debian/control: add Homepage: field
  * debian/{control,rules}: use dpkg-vendor instead of lsb_release,
    drop build-dep
  * debian/{control,rules}: drop unneeded build-dep on quilt
  * added debian/watch file

  [ Michael Tokarev ]
  * removed patching-related targets in debian/rules
    (not needed anymore for 3.0 (quilt) source format)
  * removed mentions of .svn from debian/rules since we moved to git
  * removed unused DEB_{HOST,BUILD}_ARCH variables from debian/rules
  * bump Standards-Version from 3.7.3 to 3.9.1. No (!) changes needed.

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 10 Mar 2011 22:44:45 +0300

busybox (1:1.17.1-10) unstable; urgency=low

  [ Michael Tokarev ]
  * tiny build system changes: from main source to build directories:
    don't copy .dotfiles, use ln instead of cp

  [ Joey Hess ]
  * Enable sha256sum in udeb, needed by debootstrap to handle Release
    files w/o md5sums.
  * Did not disable md5sum in udeb because eg anna still uses them to verify
    md5sum fields from d-i Packages files. (Those fields are still present..
    for now.)

 -- Joey Hess <joeyh@debian.org>  Mon, 21 Feb 2011 20:32:15 -0400

busybox (1:1.17.1-9) unstable; urgency=low

  * Team upload

  [ Matt Palmer ]
  * Build busybox udeb with IPv6 support, since otherwise wget has a
    severe sadness.

  [ Christian Perrier ]
  * Add arping to udeb to allow link detection in netcfg
    Closes: #612249

 -- Christian Perrier <bubulle@debian.org>  Sun, 13 Feb 2011 08:23:54 +0100

busybox (1:1.17.1-8) unstable; urgency=low

  * Set udhcpc and udhcpd Section to net, to match overrides.
  * Disable blockdev on non-Linux architectures.

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Nov 2010 14:36:31 +0000

busybox (1:1.17.1-7) unstable; urgency=low

  * Backport blockdev applet from upstream, so that we can use it in
    os-prober (closes: #418163).

 -- Colin Watson <cjwatson@debian.org>  Tue, 09 Nov 2010 12:33:35 +0000

busybox (1:1.17.1-6) unstable; urgency=low

  * Apply patch from Samuel Thibault <sthibault@debian.org> to enable
    hardware flow control for serial console (closes: #528560).

 -- Otavio Salvador <otavio@debian.org>  Thu, 21 Oct 2010 16:17:03 -0200

busybox (1:1.17.1-5) unstable; urgency=low

  [ Colin Watson ]
  * Never execute busybox applets when chrooting (closes: #599101).

  [ Otavio Salvador ]
  * Fix initscript error messages in syslogd and klogd (closes:
    #591436).
  * Fix restart and force-reload for udhcpd initscript (closes:
    #597510).

 -- Otavio Salvador <otavio@debian.org>  Thu, 21 Oct 2010 11:53:52 -0200

busybox (1:1.17.1-4) unstable; urgency=low

  * Update u-mount-FreeBSD-support.patch:
    - Add a few more mount options.
    - Fix mounting of nullfs filesystems.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 23 Aug 2010 10:19:20 +0200

busybox (1:1.17.1-3) unstable; urgency=low

  [ Jérémie Koenig ]
  * Enable CONFIG_FEATURE_INITRD on Hurd (Closes: #593865).

  [ Aurelien Jarno ]
  * [udeb] Disable volume id support.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 22 Aug 2010 19:46:52 +0200

busybox (1:1.17.1-2) unstable; urgency=low

  * Upload to unstable.
  * [udeb] Enable volume id support.
  * [deb] Enable all file system in volume id support.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 06 Aug 2010 22:54:40 +0200

busybox (1:1.17.1-1) experimental; urgency=low

  [ Aurelien Jarno ]
  * New upstream release.
    - Add --list option (Closes: #405108).
    - Fix nc segfaults (Closes: #503672).
    - Enable new options:
      [all] Add support for unicode (Closes: #395227, #570789)
      [all] Enable btrfs volume identification
  * Update configuration:
    [udeb/deb] Enable dd conv=notrunc (Closes: #552495)
  * Fix busybox-udeb description: s/busybox-cvs-udeb/busybox-udeb/
  * Fix busybox description wrt --install option (Closes: #326243).
  * Fix /etc/init.d/udhcpd restart (Closes: #581342)
  * Fix /etc/init.d/busybox-{klogd,syslogd} to correctly depend on
    $remote_fs.
  * Fix bashism in udhcpc default.script (Closes: #572008, #572013,
    #572622).

  [ Jérémie Koenig ]
  * Refresh patches:
    - debian/patches/applets-fallback.patch
    - debian/patches/doc-man-name.patch
    - debian/patches/shell-ash-export-HOME.patch
  * Add per-OS configuration overrides.
  * Add FreeBSD and Hurd compatibility patches from the latest git upstream
    branch, and a few more to be merged soon (Closes: #323670).
  * scripts/gen_build_files.sh: skip .pc files from quilt.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 03 Aug 2010 06:42:39 +0200

busybox (1:1.15.3-1) unstable; urgency=low

  [ Bastian Blank ]
  * New upstream release.
  * Use 3.0 (quilt) source format.
  * Use debhelper compat level 7.

  [ Axel Beckert ]
  * Add binary packages containing symbolic links for
    syslogd/klogd/logread. (Closes: #537623)
  * Add binary packages containing symbolic links for udhcpc and udhcpd plus
    configuration.
  * Enabled PID file support in normal and static build (needed for at
    least udhcpc and udhcpd in a non-volatile environment)
  * Fixed typo in copyright file

  [ Otavio Salvador ]
  * [udeb] set executable bit in udhcpc script
  * [udeb] write a lease file for udhcpc response

  [ Frans Pop ]
  * [udeb] disable CONFIG_CTTYHACK as it's no longer used in D-I.

 -- Bastian Blank <waldi@debian.org>  Mon, 22 Feb 2010 10:13:57 +0100

busybox (1:1.14.2-2) unstable; urgency=low

  * Fix handling of missing devices in init. (closes: #541115)

 -- Bastian Blank <waldi@debian.org>  Thu, 20 Aug 2009 21:40:41 +0200

busybox (1:1.14.2-1) unstable; urgency=low

  [ Bastian Blank ]
  * New upstream release.
  * [deb, static] Enable udhcpd and dumpleases.

  [ Otavio Salvador ]
  * [udeb] Add an udhcpc script to be used by netcfg.

  [ Max Vozeler ]
  * Backport mkswap UUID support. (closes: #531572)

 -- Bastian Blank <waldi@debian.org>  Sat, 08 Aug 2009 11:14:42 +0200

busybox (1:1.13.3-1) unstable; urgency=low

  * New upstream release.
    - Unbreak compressed usage. (closes: #521443)
  * [deb, udeb] Enable udhpc. (closes: #504089)
  * [udeb] Enable tftp. (closes: #510058)
  * [udeb] Enable tar archive creation. (closes: #487433)
  * Make strip build option work correctly. (closes: #503581)

 -- Bastian Blank <waldi@debian.org>  Wed, 06 May 2009 13:46:20 +0200

busybox (1:1.10.2-2) unstable; urgency=low

  * [deb, static] Again prefer applets and fallback to real executable if it
    is not found. (closes: #498029)
  * [deb, static] Reenable long options for several applets. (closes: #490396)
  * [udeb] Don't recompile during installation.

 -- Bastian Blank <waldi@debian.org>  Sun, 07 Sep 2008 12:35:52 +0200

busybox (1:1.10.2-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Blank <waldi@debian.org>  Fri, 06 Jun 2008 19:20:43 +0200

busybox (1:1.9.2-3) unstable; urgency=low

  * Readd package version into greeting.
  * Ignore init action if device is not available. (closes: #473659)

 -- Bastian Blank <waldi@debian.org>  Sat, 12 Apr 2008 17:23:30 +0200

busybox (1:1.9.2-2) unstable; urgency=low

  * Set correct source section.
  * Move busybox-static to extra.
  * Update Standards-Version to 3.7.3, no changes.
  * Add generic applet fallback. (closes: #472653)

 -- Bastian Blank <waldi@debian.org>  Wed, 26 Mar 2008 11:33:59 +0100

busybox (1:1.9.2-1) unstable; urgency=low

  * New upstream release.
  * [deb] Reenable prefer applets.
  * [deb, static] Make the shell use applets first. (closes: #472389)

 -- Bastian Blank <waldi@debian.org>  Mon, 24 Mar 2008 09:40:13 +0100

busybox (1:1.9.1-3) unstable; urgency=low

  * debian/config.udeb:
    - Reenable fancy prompt.
  * Readd copyright file.

 -- Bastian Blank <waldi@debian.org>  Sat, 22 Mar 2008 23:01:57 +0100

busybox (1:1.9.1-2) experimental; urgency=low

  * Readd sections gc to dynamic built binaries.
  * debian/config.udeb:
    - Fix remaining problems.
    - Disable ifconfig.
  * util-linux/mount.c:
    - Support relatime. (closes: #460824)

 -- Bastian Blank <waldi@debian.org>  Thu, 13 Mar 2008 14:25:53 +0100

busybox (1:1.9.1-1) experimental; urgency=low

  * New upstream release.
  * Drop unused busybox-floppy-udeb.

 -- Bastian Blank <waldi@debian.org>  Fri, 15 Feb 2008 16:25:31 +0000

busybox (1:1.1.3-5) unstable; urgency=low

  * debian/config*:
    - Drop devfs support. (closes: #431569)

 -- Bastian Blank <waldi@debian.org>  Tue,  3 Jul 2007 15:45:43 +0000

busybox (1:1.1.3-4) unstable; urgency=low

  * coreutils/sort.c:
    - Try again to fix sorting issues. Patch by Goswin Brederlow.
      (closes: #373704)

 -- Bastian Blank <waldi@debian.org>  Sun, 21 Jan 2007 15:29:02 +0000

busybox (1:1.1.3-3) unstable; urgency=low

  * debian/control:
    - Add build dependency to new dpkg-dev. (closes: #383710)
  * debian/copyright:
    - Mention copyright holders. (closes: #378654)

 -- Bastian Blank <waldi@debian.org>  Fri, 18 Aug 2006 22:32:04 +0000

busybox (1:1.1.3-2) unstable; urgency=low

  * coreutils/sort.c:
    - Fix sorting of input which begins with the seperator. (closes: #373704)

 -- Bastian Blank <waldi@debian.org>  Thu, 29 Jun 2006 19:36:19 +0000

busybox (1:1.1.3-1) unstable; urgency=low

  * New upstream version.
  * debian/config-udeb:
    - Enable fancy head and tail. Readds support for head -1.
  * coreutils/tr.c:
    - Don't segfault on incorrect input.

 -- Bastian Blank <waldi@debian.org>  Thu, 01 Jun 2006 18:02:00 +0000

busybox (1:1.1.2-2) unstable; urgency=low

  * applets/install.sh:
    - Fix installation if libbusybox is disabled. (closes: #368013)
  * debian/config*:
    - Support umount -a. (closes: #367714)

 -- Bastian Blank <waldi@debian.org>  Mon, 22 May 2006 17:58:17 +0000

busybox (1:1.1.2-1) unstable; urgency=low

  * New upstream version.
  * debian/config*:
    - Rework.
    - Remove modutils support.
  * modutils:
    - Remove modutils patch.
  * shell:
    - Export PATH. (closes: #329406)

 -- Bastian Blank <waldi@debian.org>  Sun,  7 May 2006 19:31:17 +0000

busybox (1:1.01-4) unstable; urgency=low

  * debian/config*: (closes: #321304)
    - Enable readlink -f support.
    - Enable egrep alias.
    - Enable ash command builtin.
  * debianutils: Add readlink -f support.
  * util-linux/umount.c: Fix loop for rootfs. (closes: #317062)

 -- Bastian Blank <waldi@debian.org>  Sat, 17 Dec 2005 14:35:56 +0100

busybox (1:1.01-3) unstable; urgency=low

  * debian/config-deb:
    - Recheck options.

 -- Bastian Blank <waldi@debian.org>  Wed, 12 Oct 2005 14:40:08 +0200

busybox (1:1.01-2) unstable; urgency=low

  * debian/rules:
    - Use CONFIG_DEBUG=y.
  * modutils/obj:
    - Fix bad casts that cause insmod (and probably depmod) to fail on
      64-bit architectures. (closes: #321503)

 -- Bastian Blank <waldi@debian.org>  Thu, 08 Sep 2005 17:07:21 +0200

busybox (1:1.01-1) unstable; urgency=low

  * New upstream version.
  * Fix more compilation errors. (closes: #325244)

 -- Bastian Blank <waldi@debian.org>  Wed, 24 Aug 2005 19:28:13 +0200

busybox (1:1.00-5) unstable; urgency=low

  * Fix build.
  * Enable ip applet in deb.
  * Fix remove syslog.

 -- Bastian Blank <waldi@debian.org>  Tue, 16 Aug 2005 19:20:13 +0200

busybox (1:1.00-4) unstable; urgency=low

  * Fix several problems with more strict gcc. (closes: #294474)

 -- Bastian Blank <waldi@debian.org>  Sun, 31 Jul 2005 13:10:29 +0200

busybox (1:1.00-3) unstable; urgency=low

  * shell/ash.c:
    - Fix eval. (closes: #315444)

 -- Bastian Blank <waldi@debian.org>  Tue, 28 Jun 2005 14:45:54 +0200

busybox (1:1.00-2) unstable; urgency=low

  * debian/rules:
    - Specify -s for debhelper tools. (closes: #314512)

 -- Bastian Blank <waldi@debian.org>  Mon, 27 Jun 2005 18:09:52 +0200

busybox (1:1.00-1) unstable; urgency=low

  * New upstream release. (closes: #276771)
  * New maintainer. (closes: #298363)

 -- Bastian Blank <waldi@debian.org>  Fri, 10 Jun 2005 10:32:29 +0200

busybox-cvs (20040623-2) UNRELEASED; urgency=low

  * modutils:
    - Fix error. (closes: #258546)
    - Don't return failure if the module is already loaded. (closes: #257201)
  * util-linux/umount.c:
    - Don't ignore proc on umount -a. (closes: #257625)

 -- Bastian Blank <waldi@debian.org>  Wed, 28 Jul 2004 11:20:58 +0200

busybox-cvs (20040623-1) unstable; urgency=low

  * New CVS version.
    - Support 64 bit arithmetic. (closes: #251302)

 -- Bastian Blank <waldi@debian.org>  Wed, 23 Jun 2004 21:53:52 +0200

busybox-cvs (20040612-2) unstable; urgency=low

  * modutils:
    - Merge changes from modutils 2.4.26 (closes: #254214).

 -- Bastian Blank <waldi@debian.org>  Sun, 13 Jun 2004 21:11:08 +0200

busybox-cvs (20040612-1) unstable; urgency=low

  * New CVS version.
  * modutils:
    - Fix missdetection of module file extension.

 -- Bastian Blank <waldi@debian.org>  Fri, 21 May 2004 15:43:11 +0200

busybox-cvs (20040507-3) unstable; urgency=low

  * debian/config-udeb*:
    - Disable udhcpc. (closes: #220652)
    - Enable sleep.

 -- Bastian Blank <waldi@debian.org>  Fri, 14 May 2004 18:13:52 +0200

busybox-cvs (20040507-2) unstable; urgency=low

  * editors/sed.c:
    - Never assign the return value of getopt to char. (closes: #248106)

 -- Bastian Blank <waldi@debian.org>  Sun, 09 May 2004 16:34:41 +0200

busybox-cvs (20040507-1) unstable; urgency=low

  * New CVS version
    - Fix detection of hardlinks. (closes: #244589)
    - Fix CAN-2003-0856.
  * debian/config-udeb*:
    - Enable netcat. (closes: #243508)
    - Enable support for md5sum -c.
  * modutils:
    - Fix parameter passing for 2.4 modules. (closes: #245560)
    - Add biarch support to 2.4 depmod and lsmod. (closes: #231606, #231618)
    - Add 2.6 support to lsmod. (closes: #245580)

 -- Bastian Blank <waldi@debian.org>  Sat, 08 May 2004 14:58:04 +0200

busybox-cvs (20040415-3) unstable; urgency=low

  * modutils:
    - Fix detection of 2.4 kernel. (closes: #244806)

 -- Bastian Blank <waldi@debian.org>  Tue, 20 Apr 2004 11:55:12 +0200

busybox-cvs (20040415-2) unstable; urgency=low

  * modutils:
    - Make depmod quiet.
    - Fix name of dependency files.

 -- Bastian Blank <waldi@debian.org>  Sun, 18 Apr 2004 20:00:51 +0200

busybox-cvs (20040415-1) unstable; urgency=low

  * New CVS version
  * modutils:
    - Merge 2.6 support into insmod and depmod.
  * debian/config-*udeb-linux:
    - Update.

 -- Bastian Blank <waldi@debian.org>  Sun, 18 Apr 2004 18:53:44 +0200

busybox-cvs (20040408-1) unstable; urgency=low

  * New CVS version
    - Fix wget ftp handling. (closes: #242779)
  * debian/config-*udeb:
    - Disable standalone shell.

 -- Bastian Blank <waldi@debian.org>  Thu, 15 Apr 2004 22:40:35 +0200

busybox-cvs (20040402-1) unstable; urgency=low

  * New CVS version
    - Fix llseek mess. (closes: #240918)
  * debian/config-*:
    - Update.

 -- Bastian Blank <waldi@debian.org>  Fri, 02 Apr 2004 23:49:25 +0200

busybox-cvs (20040306-1) unstable; urgency=low

  * New CVS version
    - Fix directory header in ls. (closes: #231994)
    - wget checks for empty *_proxy. (closes: #234130)
  * debian/config-*:
    - Update.

 -- Bastian Blank <waldi@debian.org>  Mon, 23 Feb 2004 13:22:38 +0100

busybox-cvs (20040101-7) unstable; urgency=low

  * archival/libunarchive/get_header_tar.c:
    - Fix usage of tar typeflag field (upstream). (closes: #233627)
  * debian/config-*:
    - Disable oldgnu support in tar.

 -- Bastian Blank <waldi@debian.org>  Sat, 21 Feb 2004 12:34:40 +0100

busybox-cvs (20040101-6) unstable; urgency=low

  * debian/config-udeb*:
    - Enable dd. (closes: #228248)
  * debian/control:
    - Set Standards-Version to 3.6.1, no changes.
    - Remove Glenn McGrath <bug1@debian.org> from Uploaders.
  * shell/cmdedit.c:
    - Fix lockup (upstream). (closes: #228915)
  * networking/wget.c:
    - Fix proxy (upstream).

 -- Bastian Blank <waldi@debian.org>  Thu, 22 Jan 2004 14:25:24 +0100

busybox-cvs (20040101-4) unstable; urgency=low

  * Fix cp truncation bug (Closes: #227081)

 -- Glenn McGrath <bug1@debian.org>  Mon, 12 Jan 2004 20:51:01 +1100

busybox-cvs (20040101-3) unstable; urgency=low

  * debian/control:
    - Change descriptions a little bit.
    - Build-Depend against di-packages-build (>= 0.5).
  * debian/rules:
    - Install correct manpages.
    - Mark build-* rules as notparallel.

 -- Bastian Blank <waldi@debian.org>  Fri, 09 Jan 2004 22:09:02 +0100

busybox-cvs (20040101-2) unstable; urgency=low

  * coreutils/ln.c:
    - Fix check in symlink mode (upstream). (closes: #226722)

 -- Bastian Blank <waldi@debian.org>  Thu, 08 Jan 2004 12:50:27 +0100

busybox-cvs (20040101-1) unstable; urgency=low

  * New CVS version.
    - Fix ln. (closes: #216435)
    - Make insmod quiet. (closes: #215612)
  * debiann/control:
    - Build-Depend against di-packages-build (>= 0.4).
  * debian/rules:
    - Use di-packages-build.

 -- Bastian Blank <waldi@debian.org>  Mon, 05 Jan 2004 06:21:03 +0100

busybox-cvs (20031212-3) unstable; urgency=low

  * debian/config-udeb-linux:
    - Enable freeramdisk. (closes: #225360)

 -- Bastian Blank <waldi@debian.org>  Tue, 30 Dec 2003 22:36:50 +0100

busybox-cvs (20031212-2) unstable; urgency=low

  * debian/config-udeb:
    - Enable freeramdisk
  * archival/libunarchive/data_extract_to_stdout.c:
    - Don't extract to much (upstream).
  * archival/libunarchive/data_extract_all.c:
    - Don't set permissions on symlinks (upstream).
  * editors/sed.c:
    - Fix (upstream). (closes: #224676)

 -- Bastian Blank <waldi@debian.org>  Tue, 23 Dec 2003 16:59:13 +0100

busybox-cvs (20031212-1) unstable; urgency=low

  * new cvs version
    - fixes IOR in fdisk. (closes: #223773)
  * debian/config*
    - update
    - remove mtab support from mount in busybox-static. (closes: #222386)
    - enable progress bar for wget. (closes: #223770)
  * modutils/obj/obj_s390{,x}.c
    - fix abi change, R_390_GOTOFF -> R_390_GOTOFF32. (closes: #216528)
  * acknowledge nmu. (closes: #216950, #216756, #215169, #215613)

 -- Bastian Blank <waldi@debian.org>  Fri, 12 Dec 2003 21:19:41 +0100

busybox-cvs (20030926-2.1) unstable; urgency=low

  * NMU
  * Remove /sbin/init from the udebs, while still leaving init support
    compiled in. rootskel takes over providing init, but then calls bb init.
    Remove linuxrc support from the udebs entirely. Closes: #216756
  * config-floppy-udeb-linux: add minimal find, grep. Closes: #215169
  * net-udeb-linux-i386: add loopback mount support. Closes: #215613

 -- Joey Hess <joeyh@debian.org>  Tue, 21 Oct 2003 12:47:52 -0400

busybox-cvs (20030926-2) unstable; urgency=low

  * debian/config-floppy-udeb-linux
    - update for new floppy images (closes: #212986, #214102)

 -- Bastian Blank <waldi@debian.org>  Thu, 09 Oct 2003 12:25:49 +0200

busybox-cvs (20030926-1) unstable; urgency=low

  * new cvs version
  * Makefile
    - fix libpwdgrp link (upstream) (closes: #211675)
  * Rules.mak.in
    - fix optimization (closes: #212485)
  * debian/config*
    - update
  * debian/config*udeb*
    - move linux-i386 to linux (enable modutils on any linux arch)
    - rename net to floppy
    - enable wget status bar (closes: #211457)
  * init/init.c
    - workaround race conditions (closes: #212764)

 -- Bastian Blank <waldi@debian.org>  Fri, 26 Sep 2003 15:10:14 +0200

busybox-cvs (0.60.99.cvs20030819-3) unstable; urgency=low

  * shell/ash.c
    - fix signal handling (upstream)

 -- Bastian Blank <waldi@debian.org>  Mon, 15 Sep 2003 18:12:09 +0200

busybox-cvs (0.60.99.cvs20030819-2) unstable; urgency=low

  * Fix configure permisions
  * Set source Section to embedded

 -- Glenn McGrath <bug1@debian.org>  Mon, 25 Aug 2003 06:33:19 +0000

busybox-cvs (0.60.99.cvs20030819-1) unstable; urgency=low

  * new cvs version

 -- Bastian Blank <waldi@debian.org>  Tue, 19 Aug 2003 13:18:54 +0200

busybox-cvs (0.60.99.cvs20030426-10) unstable; urgency=low

  * archival/libunarchive/*
    - add hardlink support (pending)
  * debian/config-*udeb*
    - add support for oldgnu tar format

 -- Bastian Blank <waldi@debian.org>  Tue, 10 Jun 2003 12:06:41 +0200

busybox-cvs (0.60.99.cvs20030426-9) unstable; urgency=low

  * modutils/depmod.c
    - fix base_dir for modules.dep

 -- Bastian Blank <waldi@debian.org>  Sat, 07 Jun 2003 14:52:54 +0200

busybox-cvs (0.60.99.cvs20030426-8) unstable; urgency=low

  * util-linux/fdisk.c
    - fix syscalls. (pending)
  * libpwd/*
    - don't build setgroups.o

 -- Bastian Blank <waldi@debian.org>  Tue, 03 Jun 2003 11:26:28 +0200

busybox-cvs (0.60.99.cvs20030426-7) unstable; urgency=low

  * libbb/*syscallc.c
    - fix syscalls. (upstream) (closes: #194631)
  * modutils/*
    - update complete objects code from upstream. (pending)
  * debian/config-*udeb*
    - update to busybox-applets.txt:1.14

 -- Bastian Blank <waldi@debian.org>  Thu, 29 May 2003 16:17:14 +0200

busybox-cvs (0.60.99.cvs20030426-6) unstable; urgency=low

  * modutils/Makefile.in
    - don't build anything if deactivated

 -- Bastian Blank <waldi@debian.org>  Sat, 24 May 2003 18:57:14 +0200

busybox-cvs (0.60.99.cvs20030426-5) unstable; urgency=low

  * debian/config-*udeb*
    - revert changes (closes: #192717, #192753)
    - readd initrd support (workaround)
    - make init quiet
  * archival/tar.c
    - fix usage of tar -O (upstream) (closes: #193788)

 -- Bastian Blank <waldi@debian.org>  Sat, 24 May 2003 13:25:36 +0200

busybox-cvs (0.60.99.cvs20030426-4) unstable; urgency=low

  * debian/config-*udeb*
    - update to busybox-applets.txt:1.12
  * debian/rules
    - use system instead of arch to determine which config file to use

 -- Bastian Blank <waldi@debian.org>  Fri, 09 May 2003 11:21:13 +0200

busybox-cvs (0.60.99.cvs20030426-3) unstable; urgency=low

  * debian/config-udeb*
    - update to busybox-applets.txt:1.11

 -- Bastian Blank <waldi@debian.org>  Wed, 07 May 2003 10:37:40 +0200

busybox-cvs (0.60.99.cvs20030426-2) unstable; urgency=low

  * modutils/*
    - modprobe failes gracefully if the module is already loaded. (pending)
    - implement depmod. (pending)
  * debian/config*
    - update

 -- Bastian Blank <waldi@debian.org>  Wed, 30 Apr 2003 14:12:36 +0200

busybox-cvs (0.60.99.cvs20030426-1) unstable; urgency=low

  * new cvs version

 -- Bastian Blank <waldi@debian.org>  Sat, 26 Apr 2003 18:33:17 +0200

busybox-cvs (0.60.99.cvs20030420-4) unstable; urgency=low

  * network/libiproute/iproute.c
    - fix usage of ip route flush (upstream)

 -- Bastian Blank <waldi@debian.org>  Fri, 25 Apr 2003 16:48:43 +0200

busybox-cvs (0.60.99.cvs20030420-3) unstable; urgency=low

  * debian/config-*udeb*
    - update to busybox-applets.txt:1.10

 -- Bastian Blank <waldi@debian.org>  Fri, 25 Apr 2003 14:03:23 +0200

busybox-cvs (0.60.99.cvs20030420-2) unstable; urgency=low

  * archival/tar.c, archival/libunarchive/data_extract_all.c
    - unlink files first (upstream patch)

 -- Bastian Blank <waldi@debian.org>  Mon, 21 Apr 2003 12:42:06 +0200

busybox-cvs (0.60.99.cvs20030420-1) unstable; urgency=low

  * new cvs version
  * debian/config*-udeb*
    - add ifconfig/route for easier transition
  * debian/config-net-udeb-i386
    - add logger
  * debian/config-udeb*
    - add uniq

 -- Bastian Blank <waldi@debian.org>  Sun, 20 Apr 2003 21:02:58 +0200

busybox-cvs (0.60.99.cvs20030405-1) unstable; urgency=low

  * new cvs version
  * debian/control
    - add busybox-cvs-net-udeb
  * debian/rules
    - arch depend debs
    - new net-udeb
  * debian/config*
    - cleanup applet list

 -- Bastian Blank <waldi@debian.org>  Sat, 05 Apr 2003 11:44:50 +0200

busybox-cvs (0.60.99.cvs20030221-1) unstable; urgency=low

  * new cvs version
  * enable new applets in udeb

 -- Bastian Blank <waldi@debian.org>  Fri, 21 Feb 2003 23:15:16 +0100

busybox-cvs (0.60.99.cvs20030114-1) unstable; urgency=low

  * new cvs version

 -- Bastian Blank <waldi@debian.org>  Tue, 14 Jan 2003 17:06:43 +0000

busybox-cvs (0.60.99.cvs20030105-1) unstable; urgency=low

  * Fix ip command build failure on ia64 (Closes: #172580
  * Dont build with BSD partition table support in fdisk, fails on m68k

 -- Glenn McGrath <bug1@debian.org>  Sun,  5 Jan 2003 12:48:05 +1100

busybox-cvs (0.60.99.cvs20030104-2) unstable; urgency=low

  * floppy-retriever needs the cut command in the udeb

 -- Glenn McGrath <bug1@debian.org>  Sat,  4 Jan 2003 17:13:05 +1100

busybox-cvs (0.60.99.cvs20030104-1) unstable; urgency=low

  * new cvs version
  * Include new applets in the static package
  * Include ash in the udeb

 -- Glenn McGrath <bug1@debian.org>  Sat,  4 Jan 2003 13:39:04 +1100

busybox-cvs (0.60.99.cvs20021214-1) unstable; urgency=low

  * new cvs version
    - udhcp merge.
  * fix location of ip link.

 -- Bastian Blank <waldi@debian.org>  Sat, 14 Dec 2002 13:52:15 +0100

busybox-cvs (0.60.99.cvs20021210-1) unstable; urgency=low

  * new cvs version
    - various upstream fixes found in the last version.
  * busybox-cvs-udeb
    - include readlink and realpath.

 -- Bastian Blank <waldi@debian.org>  Tue, 10 Dec 2002 21:23:40 +0100

busybox-cvs (0.60.99.cvs20021209-2) unstable; urgency=low

  * cleanup scripts/config/ within make clean (closes: #172413)
  * busybox-cvs-udeb
    - include readlink
  * include manpages within busybox-cvs and busybox-cvs-static

 -- Bastian Blank <waldi@debian.org>  Mon, 09 Dec 2002 22:09:52 +0100

busybox-cvs (0.60.99.cvs20021209-1) unstable; urgency=low

  * New cvs version.
    - fix udhcpc for use with ip.
    - klogd supports -c.
  * busybox-cvs-udeb
    - set priority to extra. (closes: #172302)
    - don't longer provide busybox-udeb.

 -- Bastian Blank <waldi@debian.org>  Mon, 09 Dec 2002 16:22:03 +0100

busybox-cvs (0.60.99.cvs20021203-1) unstable; urgency=low

  * New packages based on busybox cvs.
  * changes for the udeb
    - enable ip applet with address, link and route part.
    - enable udhcpc.
    - disable ifconfig and route applet.
    - disable ls color.

 -- Bastian Blank <waldi@debian.org>  Tue, 03 Dec 2002 18:51:00 +0100

busybox (1:0.60.0-1) unstable; urgency=low

  * New version released.  See changelog for details.

 -- Erik Andersen <andersee@debian.org>  Thu,  2 Aug 2001 12:12:37 -0600

busybox (1:0.52-1.1) unstable; urgency=high

  * Non-maintainer upload
  * Fixed wget -P handling (closes: #106223).

 -- Matt Kraai <kraai@debian.org>  Wed, 25 Jul 2001 11:01:38 -0600

busybox (1:0.52-1) unstable; urgency=high

  * New version released.  See changelog for details.

 -- Erik Andersen <andersee@debian.org>  Sat,  7 Jul 2001 01:23:45 -0600

busybox (1:0.51-10) unstable; urgency=high

  * Fix a compile problem with gcc 3.0 on hppa (closes: #102045)

 -- Erik Andersen <andersee@debian.org>  Sat, 23 Jun 2001 23:55:57 -0600

busybox (1:0.51-9) unstable; urgency=high

  * tar was creating leading directories with 0777 permissions as
    as reult of faulty umask handling.  This fixes it, repairing
    a grave security problem in the woody the boot floppies.
    (closes: #101169)

 -- Erik Andersen <andersee@debian.org>  Wed, 20 Jun 2001 16:17:38 -0600

busybox (1:0.51-8) unstable; urgency=high

  * Fix cp from /proc, where size=0 (closes: #100369)
  * Add some padding to struct sysinfo for m68k.
  * Apparently some bugs failed to be closed when master choked
    (closes: #99627, #99637, #98571)
  * Disable the busybox shell for the .deb, since it is not needed
    for the boot floppies.

 -- Erik Andersen <andersee@debian.org>  Mon, 11 Jun 2001 13:26:07 -0600

busybox (1:0.51-7) unstable; urgency=high

  * Fix tar permission setting for existing directories (closes: #99627)
  * Do not remove the .cvsignore files on 'make release' (closes: #99637)

 -- Erik Andersen <andersee@debian.org>  Mon,  4 Jun 2001 10:55:19 -0600

busybox (1:0.51-6) testing unstable; urgency=high

  * Update the version in testing so DHCP in the woody boot-floppies will work.
  * Enable expr for the boot-floppies (closes: #98433)
  * It builds on arm just fine now (closes: #97510)

 -- Erik Andersen <andersee@debian.org>  Wed, 23 May 2001 14:50:13 -0600

busybox (1:0.51-5) unstable; urgency=low

  * Backport a sed fix from 0.52pre
  * Backport chroot fix from 0.52pre

 -- Erik Andersen <andersee@debian.org>  Wed, 16 May 2001 23:50:33 -0600

busybox (1:0.51-4) unstable; urgency=low

  * Backport from 0.52pre an endianness bugfix for md5sum
  * Backport some updates to grep and sed
  * Fix 'wget -O -' so it sets the quiet flag

 -- Erik Andersen <andersee@debian.org>  Mon, 14 May 2001 14:17:36 -0600

busybox (1:0.51-3) unstable; urgency=low

  * This is the "I am an idiot" release.
  * Make cp and mv work again (closes: #97290)
  * Fix the version number.

 -- Erik Andersen <andersee@debian.org>  Sat, 12 May 2001 17:35:58 -0600

busybox (0.51-2) unstable; urgency=low

  * Backport several release critical fixes into the 0.51 codebase
    so the boot-floppies will work again.
  * Fix a link ordering problem. (closes: #93362)
  * Fixed gunzip (closes: #94331)
  * Fixed cp permission setting (closes: #94580)

 -- Erik Andersen <andersee@debian.org>  Sat, 12 May 2001 11:22:35 -0600

busybox (0.51-1) unstable; urgency=low

  * Fixes several critical bugs (see the busybox changelog
    for complete details)
  * Force USE_SYSTEM_PWD_GRP=false, so busybox bypasses
    the glibc NSS libraries. (closes: #93362)
  * Fixed a bug in sed's address range handling (closes: #91758)
  * Removed irrelevant cruft from the bottem of debian/changelog

 -- Erik Andersen <andersee@debian.org>  Tue, 10 Apr 2001 14:07:29 -0600

busybox (0.50-2) unstable; urgency=low

  * Enabled freeramdisk and pivot_root in the udeb (closes: #91336)
  * Disabled lash (the busybox shell) in the udeb (closes: #91337)
  * fixed a bug in syslog, a problem with rebooting when booted as
    an initrd, and a few other minor problems.

 -- Erik Andersen <andersee@debian.org>  Sun, 25 Mar 2001 20:59:44 -0700


busybox (0.50-2) unstable; urgency=low

  * Enabled freeramdisk and pivot_root in the udeb (closes: #91336)
  * Disabled lash (the busybox shell) in the udeb (closes: #91337)
  * fixed a bug in syslog, a problem with rebooting when booted as
    an initrd, and a few other minor problems.

 -- Erik Andersen <andersee@debian.org>  Sun, 25 Mar 2001 20:59:44 -0700

busybox (0.50-1) unstable; urgency=low

  * Tons on improvements all around -- See changelog for details.
  * Fix malformed Build-Depends (closes: #86930)
  * grep has worked for some time now (closes: #81084)
  * init compiles with DEBUG_INIT enabled (closes: #85794)
  * md5sum no longer displays filename when reading stdin (closes: #81283)
  * lsmod, rmmod, and insmod are no longer enabled (closes: #85642)
  * busybox and buxybox-static now conflict/replace each other (closes: #80421)

 -- Erik Andersen <andersee@debian.org>  Thu, 15 Mar 2001 14:45:00 -0700

busybox (0.49-1) unstable; urgency=low

  * Lots more source updates and bug fixes.  See changelog for details.

 -- Erik Andersen <andersee@debian.org>  Sat, 27 Jan 2001 01:45:53 -0700

busybox (0.48-1) unstable; urgency=low

  * Lots more source updates and bug fixes.  See changelog for details.
  * Now includes .udeb support for the debian-installer.  The .udeb
    probably needs some more work, but this should be a good start.

 -- Erik Andersen <andersee@debian.org>  Wed, 13 Dec 2000 08:36:07 -0700

busybox (0.47-1) unstable; urgency=low

  * New version released.  See changelog for details.

 -- Erik Andersen <andersee@debian.org>  Mon, 25 Sep 2000 23:00:56 -0600

busybox (0.46-1) unstable; urgency=low

  * New version released.  See changelog for details.

 -- Erik Andersen <andersee@debian.org>  Tue, 11 Jul 2000 12:15:44 -0600

busybox (0.45-1) unstable; urgency=low

  * First attempt at packaging BusyBox as a .deb.  This has been in
    in the Debian boot-floppies CVS tree forever.  Hopefully, having it as a
    standalone app will make life easier for me, the debian-installer team, and
    everyone else as well...
  * I have created a busybox-static that can be used as a rescue shell when you
    hose your system.  Just invoke "busybox sh" to fir up the shell.  This has
    every app provided by busybox staically linked in.  There have been several
    times in the past that I would have loved to have this sitting on my system
    (i.e. when libc gets screwed up.)

 -- Erik Andersen <andersee@debian.org>  Tue, 27 Jun 2000 12:26:41 -0600
